diff --git a/sys/contrib/dev/acpica/source/common/dmtbdump.c b/sys/contrib/dev/acpica/source/common/dmtbdump.c
index 9441ca494f..0f0697e3d7 100644
--- a/sys/contrib/dev/acpica/source/common/dmtbdump.c
+++ b/sys/contrib/dev/acpica/source/common/dmtbdump.c
@@ -623,7 +623,7 @@ AcpiDmDumpAsf (
 {
     ACPI_STATUS             Status;
     UINT32                  Offset = sizeof (ACPI_TABLE_HEADER);
-    ACPI_ASF_INFO           *SubTable;
+    ACPI_ASF_INFO           *Subtable;
     ACPI_DMTABLE_INFO       *InfoTable;
     ACPI_DMTABLE_INFO       *DataInfoTable = NULL;
     UINT8                   *DataTable = NULL;
@@ -636,13 +636,13 @@ AcpiDmDumpAsf (
 
     /* No main table, only subtables */
 
-    SubTable = ACPI_ADD_PTR (ACPI_ASF_INFO, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_ASF_INFO, Table, Offset);
     while (Offset < Table->Length)
     {
         /* Common subtable header */
 
-        Status = AcpiDmDumpTable (Table->Length, Offset, SubTable,
-            SubTable->Header.Length, AcpiDmTableInfoAsfHdr);
+        Status = AcpiDmDumpTable (Table->Length, Offset, Subtable,
+            Subtable->Header.Length, AcpiDmTableInfoAsfHdr);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -650,7 +650,7 @@ AcpiDmDumpAsf (
 
         /* The actual type is the lower 7 bits of Type */
 
-        Type = (UINT8) (SubTable->Header.Type & 0x7F);
+        Type = (UINT8) (Subtable->Header.Type & 0x7F);
 
         switch (Type)
         {
@@ -663,9 +663,9 @@ AcpiDmDumpAsf (
 
             InfoTable = AcpiDmTableInfoAsf1;
             DataInfoTable = AcpiDmTableInfoAsf1a;
-            DataTable = ACPI_ADD_PTR (UINT8, SubTable, sizeof (ACPI_ASF_ALERT));
-            DataCount = ACPI_CAST_PTR (ACPI_ASF_ALERT, SubTable)->Alerts;
-            DataLength = ACPI_CAST_PTR (ACPI_ASF_ALERT, SubTable)->DataLength;
+            DataTable = ACPI_ADD_PTR (UINT8, Subtable, sizeof (ACPI_ASF_ALERT));
+            DataCount = ACPI_CAST_PTR (ACPI_ASF_ALERT, Subtable)->Alerts;
+            DataLength = ACPI_CAST_PTR (ACPI_ASF_ALERT, Subtable)->DataLength;
             DataOffset = Offset + sizeof (ACPI_ASF_ALERT);
             break;
 
@@ -673,9 +673,9 @@ AcpiDmDumpAsf (
 
             InfoTable = AcpiDmTableInfoAsf2;
             DataInfoTable = AcpiDmTableInfoAsf2a;
-            DataTable = ACPI_ADD_PTR (UINT8, SubTable, sizeof (ACPI_ASF_REMOTE));
-            DataCount = ACPI_CAST_PTR (ACPI_ASF_REMOTE, SubTable)->Controls;
-            DataLength = ACPI_CAST_PTR (ACPI_ASF_REMOTE, SubTable)->DataLength;
+            DataTable = ACPI_ADD_PTR (UINT8, Subtable, sizeof (ACPI_ASF_REMOTE));
+            DataCount = ACPI_CAST_PTR (ACPI_ASF_REMOTE, Subtable)->Controls;
+            DataLength = ACPI_CAST_PTR (ACPI_ASF_REMOTE, Subtable)->DataLength;
             DataOffset = Offset + sizeof (ACPI_ASF_REMOTE);
             break;
 
@@ -687,20 +687,20 @@ AcpiDmDumpAsf (
         case ACPI_ASF_TYPE_ADDRESS:
 
             InfoTable = AcpiDmTableInfoAsf4;
-            DataTable = ACPI_ADD_PTR (UINT8, SubTable, sizeof (ACPI_ASF_ADDRESS));
-            DataLength = ACPI_CAST_PTR (ACPI_ASF_ADDRESS, SubTable)->Devices;
+            DataTable = ACPI_ADD_PTR (UINT8, Subtable, sizeof (ACPI_ASF_ADDRESS));
+            DataLength = ACPI_CAST_PTR (ACPI_ASF_ADDRESS, Subtable)->Devices;
             DataOffset = Offset + sizeof (ACPI_ASF_ADDRESS);
             break;
 
         default:
 
             AcpiOsPrintf ("\n**** Unknown ASF subtable type 0x%X\n",
-                SubTable->Header.Type);
+                Subtable->Header.Type);
             return;
         }
 
-        Status = AcpiDmDumpTable (Table->Length, Offset, SubTable,
-            SubTable->Header.Length, InfoTable);
+        Status = AcpiDmDumpTable (Table->Length, Offset, Subtable,
+            Subtable->Header.Length, InfoTable);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -762,15 +762,15 @@ AcpiDmDumpAsf (
 
         /* Point to next subtable */
 
-        if (!SubTable->Header.Length)
+        if (!Subtable->Header.Length)
         {
             AcpiOsPrintf ("Invalid zero subtable header length\n");
             return;
         }
 
-        Offset += SubTable->Header.Length;
-        SubTable = ACPI_ADD_PTR (ACPI_ASF_INFO, SubTable,
-            SubTable->Header.Length);
+        Offset += Subtable->Header.Length;
+        Subtable = ACPI_ADD_PTR (ACPI_ASF_INFO, Subtable,
+            Subtable->Header.Length);
     }
 }
 
@@ -793,7 +793,7 @@ AcpiDmDumpCpep (
     ACPI_TABLE_HEADER       *Table)
 {
     ACPI_STATUS             Status;
-    ACPI_CPEP_POLLING       *SubTable;
+    ACPI_CPEP_POLLING       *Subtable;
     UINT32                  Length = Table->Length;
     UINT32                  Offset = sizeof (ACPI_TABLE_CPEP);
 
@@ -808,12 +808,12 @@ AcpiDmDumpCpep (
 
     /* Subtables */
 
-    SubTable = ACPI_ADD_PTR (ACPI_CPEP_POLLING, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_CPEP_POLLING, Table, Offset);
     while (Offset < Table->Length)
     {
         AcpiOsPrintf ("\n");
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTable->Header.Length, AcpiDmTableInfoCpep0);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            Subtable->Header.Length, AcpiDmTableInfoCpep0);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -821,9 +821,9 @@ AcpiDmDumpCpep (
 
         /* Point to next subtable */
 
-        Offset += SubTable->Header.Length;
-        SubTable = ACPI_ADD_PTR (ACPI_CPEP_POLLING, SubTable,
-            SubTable->Header.Length);
+        Offset += Subtable->Header.Length;
+        Subtable = ACPI_ADD_PTR (ACPI_CPEP_POLLING, Subtable,
+            Subtable->Header.Length);
     }
 }
 
@@ -846,9 +846,9 @@ AcpiDmDumpCsrt (
     ACPI_TABLE_HEADER       *Table)
 {
     ACPI_STATUS             Status;
-    ACPI_CSRT_GROUP         *SubTable;
+    ACPI_CSRT_GROUP         *Subtable;
     ACPI_CSRT_SHARED_INFO   *SharedInfoTable;
-    ACPI_CSRT_DESCRIPTOR    *SubSubTable;
+    ACPI_CSRT_DESCRIPTOR    *SubSubtable;
     UINT32                  Length = Table->Length;
     UINT32                  Offset = sizeof (ACPI_TABLE_CSRT);
     UINT32                  SubOffset;
@@ -860,14 +860,14 @@ AcpiDmDumpCsrt (
 
     /* Subtables (Resource Groups) */
 
-    SubTable = ACPI_ADD_PTR (ACPI_CSRT_GROUP, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_CSRT_GROUP, Table, Offset);
     while (Offset < Table->Length)
     {
         /* Resource group subtable */
 
         AcpiOsPrintf ("\n");
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTable->Length, AcpiDmTableInfoCsrt0);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            Subtable->Length, AcpiDmTableInfoCsrt0);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -887,19 +887,19 @@ AcpiDmDumpCsrt (
             return;
         }
 
-        SubOffset += SubTable->SharedInfoLength;
+        SubOffset += Subtable->SharedInfoLength;
 
         /* Sub-Subtables (Resource Descriptors) */
 
-        SubSubTable = ACPI_ADD_PTR (ACPI_CSRT_DESCRIPTOR, Table,
+        SubSubtable = ACPI_ADD_PTR (ACPI_CSRT_DESCRIPTOR, Table,
             Offset + SubOffset);
 
-        while ((SubOffset < SubTable->Length) &&
+        while ((SubOffset < Subtable->Length) &&
               ((Offset + SubOffset) < Table->Length))
         {
             AcpiOsPrintf ("\n");
-            Status = AcpiDmDumpTable (Length, Offset + SubOffset, SubSubTable,
-                SubSubTable->Length, AcpiDmTableInfoCsrt2);
+            Status = AcpiDmDumpTable (Length, Offset + SubOffset, SubSubtable,
+                SubSubtable->Length, AcpiDmTableInfoCsrt2);
             if (ACPI_FAILURE (Status))
             {
                 return;
@@ -909,7 +909,7 @@ AcpiDmDumpCsrt (
 
             /* Resource-specific info buffer */
 
-            InfoLength = SubSubTable->Length - SubSubOffset;
+            InfoLength = SubSubtable->Length - SubSubOffset;
             if (InfoLength)
             {
                 Status = AcpiDmDumpTable (Length,
@@ -924,16 +924,16 @@ AcpiDmDumpCsrt (
 
             /* Point to next sub-subtable */
 
-            SubOffset += SubSubTable->Length;
-            SubSubTable = ACPI_ADD_PTR (ACPI_CSRT_DESCRIPTOR, SubSubTable,
-                SubSubTable->Length);
+            SubOffset += SubSubtable->Length;
+            SubSubtable = ACPI_ADD_PTR (ACPI_CSRT_DESCRIPTOR, SubSubtable,
+                SubSubtable->Length);
         }
 
         /* Point to next subtable */
 
-        Offset += SubTable->Length;
-        SubTable = ACPI_ADD_PTR (ACPI_CSRT_GROUP, SubTable,
-            SubTable->Length);
+        Offset += Subtable->Length;
+        Subtable = ACPI_ADD_PTR (ACPI_CSRT_GROUP, Subtable,
+            Subtable->Length);
     }
 }
 
@@ -956,7 +956,7 @@ AcpiDmDumpDbg2 (
     ACPI_TABLE_HEADER       *Table)
 {
     ACPI_STATUS             Status;
-    ACPI_DBG2_DEVICE        *SubTable;
+    ACPI_DBG2_DEVICE        *Subtable;
     UINT32                  Length = Table->Length;
     UINT32                  Offset = sizeof (ACPI_TABLE_DBG2);
     UINT32                  i;
@@ -975,12 +975,12 @@ AcpiDmDumpDbg2 (
 
     /* Subtables */
 
-    SubTable = ACPI_ADD_PTR (ACPI_DBG2_DEVICE, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_DBG2_DEVICE, Table, Offset);
     while (Offset < Table->Length)
     {
         AcpiOsPrintf ("\n");
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTable->Length, AcpiDmTableInfoDbg2Device);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            Subtable->Length, AcpiDmTableInfoDbg2Device);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -988,15 +988,15 @@ AcpiDmDumpDbg2 (
 
         /* Dump the BaseAddress array */
 
-        for (i = 0; i < SubTable->RegisterCount; i++)
+        for (i = 0; i < Subtable->RegisterCount; i++)
         {
-            ArrayOffset = SubTable->BaseAddressOffset +
+            ArrayOffset = Subtable->BaseAddressOffset +
                 (sizeof (ACPI_GENERIC_ADDRESS) * i);
             AbsoluteOffset = Offset + ArrayOffset;
-            Array = (UINT8 *) SubTable + ArrayOffset;
+            Array = (UINT8 *) Subtable + ArrayOffset;
 
             Status = AcpiDmDumpTable (Length, AbsoluteOffset, Array,
-                SubTable->Length, AcpiDmTableInfoDbg2Addr);
+                Subtable->Length, AcpiDmTableInfoDbg2Addr);
             if (ACPI_FAILURE (Status))
             {
                 return;
@@ -1005,15 +1005,15 @@ AcpiDmDumpDbg2 (
 
         /* Dump the AddressSize array */
 
-        for (i = 0; i < SubTable->RegisterCount; i++)
+        for (i = 0; i < Subtable->RegisterCount; i++)
         {
-            ArrayOffset = SubTable->AddressSizeOffset +
+            ArrayOffset = Subtable->AddressSizeOffset +
                 (sizeof (UINT32) * i);
             AbsoluteOffset = Offset + ArrayOffset;
-            Array = (UINT8 *) SubTable + ArrayOffset;
+            Array = (UINT8 *) Subtable + ArrayOffset;
 
             Status = AcpiDmDumpTable (Length, AbsoluteOffset, Array,
-                SubTable->Length, AcpiDmTableInfoDbg2Size);
+                Subtable->Length, AcpiDmTableInfoDbg2Size);
             if (ACPI_FAILURE (Status))
             {
                 return;
@@ -1023,12 +1023,12 @@ AcpiDmDumpDbg2 (
         /* Dump the Namestring (required) */
 
         AcpiOsPrintf ("\n");
-        ArrayOffset = SubTable->NamepathOffset;
+        ArrayOffset = Subtable->NamepathOffset;
         AbsoluteOffset = Offset + ArrayOffset;
-        Array = (UINT8 *) SubTable + ArrayOffset;
+        Array = (UINT8 *) Subtable + ArrayOffset;
 
         Status = AcpiDmDumpTable (Length, AbsoluteOffset, Array,
-            SubTable->Length, AcpiDmTableInfoDbg2Name);
+            Subtable->Length, AcpiDmTableInfoDbg2Name);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -1036,10 +1036,10 @@ AcpiDmDumpDbg2 (
 
         /* Dump the OemData (optional) */
 
-        if (SubTable->OemDataOffset)
+        if (Subtable->OemDataOffset)
         {
-            Status = AcpiDmDumpTable (Length, Offset + SubTable->OemDataOffset,
-                Table, SubTable->OemDataLength,
+            Status = AcpiDmDumpTable (Length, Offset + Subtable->OemDataOffset,
+                Table, Subtable->OemDataLength,
                 AcpiDmTableInfoDbg2OemData);
             if (ACPI_FAILURE (Status))
             {
@@ -1049,9 +1049,9 @@ AcpiDmDumpDbg2 (
 
         /* Point to next subtable */
 
-        Offset += SubTable->Length;
-        SubTable = ACPI_ADD_PTR (ACPI_DBG2_DEVICE, SubTable,
-            SubTable->Length);
+        Offset += Subtable->Length;
+        Subtable = ACPI_ADD_PTR (ACPI_DBG2_DEVICE, Subtable,
+            Subtable->Length);
     }
 }
 
@@ -1074,7 +1074,7 @@ AcpiDmDumpDmar (
     ACPI_TABLE_HEADER       *Table)
 {
     ACPI_STATUS             Status;
-    ACPI_DMAR_HEADER        *SubTable;
+    ACPI_DMAR_HEADER        *Subtable;
     UINT32                  Length = Table->Length;
     UINT32                  Offset = sizeof (ACPI_TABLE_DMAR);
     ACPI_DMTABLE_INFO       *InfoTable;
@@ -1094,14 +1094,14 @@ AcpiDmDumpDmar (
 
     /* Subtables */
 
-    SubTable = ACPI_ADD_PTR (ACPI_DMAR_HEADER, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_DMAR_HEADER, Table, Offset);
     while (Offset < Table->Length)
     {
         /* Common subtable header */
 
         AcpiOsPrintf ("\n");
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTable->Length, AcpiDmTableInfoDmarHdr);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            Subtable->Length, AcpiDmTableInfoDmarHdr);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -1109,7 +1109,7 @@ AcpiDmDumpDmar (
 
         AcpiOsPrintf ("\n");
 
-        switch (SubTable->Type)
+        switch (Subtable->Type)
         {
         case ACPI_DMAR_TYPE_HARDWARE_UNIT:
 
@@ -1144,12 +1144,12 @@ AcpiDmDumpDmar (
         default:
 
             AcpiOsPrintf ("\n**** Unknown DMAR subtable type 0x%X\n\n",
-                SubTable->Type);
+                Subtable->Type);
             return;
         }
 
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTable->Length, InfoTable);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            Subtable->Length, InfoTable);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -1158,16 +1158,16 @@ AcpiDmDumpDmar (
         /*
          * Dump the optional device scope entries
          */
-        if ((SubTable->Type == ACPI_DMAR_TYPE_HARDWARE_AFFINITY) ||
-            (SubTable->Type == ACPI_DMAR_TYPE_NAMESPACE))
+        if ((Subtable->Type == ACPI_DMAR_TYPE_HARDWARE_AFFINITY) ||
+            (Subtable->Type == ACPI_DMAR_TYPE_NAMESPACE))
         {
             /* These types do not support device scopes */
 
             goto NextSubtable;
         }
 
-        ScopeTable = ACPI_ADD_PTR (ACPI_DMAR_DEVICE_SCOPE, SubTable, ScopeOffset);
-        while (ScopeOffset < SubTable->Length)
+        ScopeTable = ACPI_ADD_PTR (ACPI_DMAR_DEVICE_SCOPE, Subtable, ScopeOffset);
+        while (ScopeOffset < Subtable->Length)
         {
             AcpiOsPrintf ("\n");
             Status = AcpiDmDumpTable (Length, Offset + ScopeOffset, ScopeTable,
@@ -1208,9 +1208,9 @@ AcpiDmDumpDmar (
 NextSubtable:
         /* Point to next subtable */
 
-        Offset += SubTable->Length;
-        SubTable = ACPI_ADD_PTR (ACPI_DMAR_HEADER, SubTable,
-            SubTable->Length);
+        Offset += Subtable->Length;
+        Subtable = ACPI_ADD_PTR (ACPI_DMAR_HEADER, Subtable,
+            Subtable->Length);
     }
 }
 
@@ -1343,7 +1343,7 @@ AcpiDmDumpEinj (
     ACPI_TABLE_HEADER       *Table)
 {
     ACPI_STATUS             Status;
-    ACPI_WHEA_HEADER        *SubTable;
+    ACPI_WHEA_HEADER        *Subtable;
     UINT32                  Length = Table->Length;
     UINT32                  Offset = sizeof (ACPI_TABLE_EINJ);
 
@@ -1358,11 +1358,11 @@ AcpiDmDumpEinj (
 
     /* Subtables */
 
-    SubTable = ACPI_ADD_PTR (ACPI_WHEA_HEADER, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_WHEA_HEADER, Table, Offset);
     while (Offset < Table->Length)
     {
         AcpiOsPrintf ("\n");
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
             sizeof (ACPI_WHEA_HEADER), AcpiDmTableInfoEinj0);
         if (ACPI_FAILURE (Status))
         {
@@ -1372,7 +1372,7 @@ AcpiDmDumpEinj (
         /* Point to next subtable (each subtable is of fixed length) */
 
         Offset += sizeof (ACPI_WHEA_HEADER);
-        SubTable = ACPI_ADD_PTR (ACPI_WHEA_HEADER, SubTable,
+        Subtable = ACPI_ADD_PTR (ACPI_WHEA_HEADER, Subtable,
             sizeof (ACPI_WHEA_HEADER));
     }
 }
@@ -1396,7 +1396,7 @@ AcpiDmDumpErst (
     ACPI_TABLE_HEADER       *Table)
 {
     ACPI_STATUS             Status;
-    ACPI_WHEA_HEADER        *SubTable;
+    ACPI_WHEA_HEADER        *Subtable;
     UINT32                  Length = Table->Length;
     UINT32                  Offset = sizeof (ACPI_TABLE_ERST);
 
@@ -1411,11 +1411,11 @@ AcpiDmDumpErst (
 
     /* Subtables */
 
-    SubTable = ACPI_ADD_PTR (ACPI_WHEA_HEADER, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_WHEA_HEADER, Table, Offset);
     while (Offset < Table->Length)
     {
         AcpiOsPrintf ("\n");
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
             sizeof (ACPI_WHEA_HEADER), AcpiDmTableInfoErst0);
         if (ACPI_FAILURE (Status))
         {
@@ -1425,7 +1425,7 @@ AcpiDmDumpErst (
         /* Point to next subtable (each subtable is of fixed length) */
 
         Offset += sizeof (ACPI_WHEA_HEADER);
-        SubTable = ACPI_ADD_PTR (ACPI_WHEA_HEADER, SubTable,
+        Subtable = ACPI_ADD_PTR (ACPI_WHEA_HEADER, Subtable,
             sizeof (ACPI_WHEA_HEADER));
     }
 }
@@ -1449,7 +1449,7 @@ AcpiDmDumpFpdt (
     ACPI_TABLE_HEADER       *Table)
 {
     ACPI_STATUS             Status;
-    ACPI_FPDT_HEADER        *SubTable;
+    ACPI_FPDT_HEADER        *Subtable;
     UINT32                  Length = Table->Length;
     UINT32                  Offset = sizeof (ACPI_TABLE_FPDT);
     ACPI_DMTABLE_INFO       *InfoTable;
@@ -1459,20 +1459,20 @@ AcpiDmDumpFpdt (
 
     /* Subtables */
 
-    SubTable = ACPI_ADD_PTR (ACPI_FPDT_HEADER, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_FPDT_HEADER, Table, Offset);
     while (Offset < Table->Length)
     {
         /* Common subtable header */
 
         AcpiOsPrintf ("\n");
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTable->Length, AcpiDmTableInfoFpdtHdr);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            Subtable->Length, AcpiDmTableInfoFpdtHdr);
         if (ACPI_FAILURE (Status))
         {
             return;
         }
 
-        switch (SubTable->Type)
+        switch (Subtable->Type)
         {
         case ACPI_FPDT_TYPE_BOOT:
 
@@ -1487,31 +1487,31 @@ AcpiDmDumpFpdt (
         default:
 
             AcpiOsPrintf ("\n**** Unknown FPDT subtable type 0x%X\n\n",
-                SubTable->Type);
+                Subtable->Type);
 
             /* Attempt to continue */
 
-            if (!SubTable->Length)
+            if (!Subtable->Length)
             {
                 AcpiOsPrintf ("Invalid zero length subtable\n");
                 return;
             }
-            goto NextSubTable;
+            goto NextSubtable;
         }
 
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTable->Length, InfoTable);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            Subtable->Length, InfoTable);
         if (ACPI_FAILURE (Status))
         {
             return;
         }
 
-NextSubTable:
+NextSubtable:
         /* Point to next subtable */
 
-        Offset += SubTable->Length;
-        SubTable = ACPI_ADD_PTR (ACPI_FPDT_HEADER, SubTable,
-            SubTable->Length);
+        Offset += Subtable->Length;
+        Subtable = ACPI_ADD_PTR (ACPI_FPDT_HEADER, Subtable,
+            Subtable->Length);
     }
 }
 
@@ -1534,11 +1534,11 @@ AcpiDmDumpGtdt (
     ACPI_TABLE_HEADER       *Table)
 {
     ACPI_STATUS             Status;
-    ACPI_GTDT_HEADER        *SubTable;
+    ACPI_GTDT_HEADER        *Subtable;
     UINT32                  Length = Table->Length;
     UINT32                  Offset = sizeof (ACPI_TABLE_GTDT);
     ACPI_DMTABLE_INFO       *InfoTable;
-    UINT32                  SubTableLength;
+    UINT32                  SubtableLength;
     UINT32                  GtCount;
     ACPI_GTDT_TIMER_ENTRY   *GtxTable;
 
@@ -1553,34 +1553,34 @@ AcpiDmDumpGtdt (
 
     /* Subtables */
 
-    SubTable = ACPI_ADD_PTR (ACPI_GTDT_HEADER, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_GTDT_HEADER, Table, Offset);
     while (Offset < Table->Length)
     {
         /* Common subtable header */
 
         AcpiOsPrintf ("\n");
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTable->Length, AcpiDmTableInfoGtdtHdr);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            Subtable->Length, AcpiDmTableInfoGtdtHdr);
         if (ACPI_FAILURE (Status))
         {
             return;
         }
 
         GtCount = 0;
-        switch (SubTable->Type)
+        switch (Subtable->Type)
         {
         case ACPI_GTDT_TYPE_TIMER_BLOCK:
 
-            SubTableLength = sizeof (ACPI_GTDT_TIMER_BLOCK);
+            SubtableLength = sizeof (ACPI_GTDT_TIMER_BLOCK);
             GtCount = (ACPI_CAST_PTR (ACPI_GTDT_TIMER_BLOCK,
-                SubTable))->TimerCount;
+                Subtable))->TimerCount;
 
             InfoTable = AcpiDmTableInfoGtdt0;
             break;
 
         case ACPI_GTDT_TYPE_WATCHDOG:
 
-            SubTableLength = sizeof (ACPI_GTDT_WATCHDOG);
+            SubtableLength = sizeof (ACPI_GTDT_WATCHDOG);
 
             InfoTable = AcpiDmTableInfoGtdt1;
             break;
@@ -1590,12 +1590,12 @@ AcpiDmDumpGtdt (
             /* Cannot continue on unknown type - no length */
 
             AcpiOsPrintf ("\n**** Unknown GTDT subtable type 0x%X\n",
-                SubTable->Type);
+                Subtable->Type);
             return;
         }
 
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTable->Length, InfoTable);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            Subtable->Length, InfoTable);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -1603,15 +1603,15 @@ AcpiDmDumpGtdt (
 
         /* Point to end of current subtable (each subtable above is of fixed length) */
 
-        Offset += SubTableLength;
+        Offset += SubtableLength;
 
         /* If there are any Gt Timer Blocks from above, dump them now */
 
         if (GtCount)
         {
             GtxTable = ACPI_ADD_PTR (
-                ACPI_GTDT_TIMER_ENTRY, SubTable, SubTableLength);
-            SubTableLength += GtCount * sizeof (ACPI_GTDT_TIMER_ENTRY);
+                ACPI_GTDT_TIMER_ENTRY, Subtable, SubtableLength);
+            SubtableLength += GtCount * sizeof (ACPI_GTDT_TIMER_ENTRY);
 
             while (GtCount)
             {
@@ -1630,7 +1630,7 @@ AcpiDmDumpGtdt (
 
         /* Point to next subtable */
 
-        SubTable = ACPI_ADD_PTR (ACPI_GTDT_HEADER, SubTable, SubTableLength);
+        Subtable = ACPI_ADD_PTR (ACPI_GTDT_HEADER, Subtable, SubtableLength);
     }
 }
 
@@ -1653,11 +1653,11 @@ AcpiDmDumpHest (
     ACPI_TABLE_HEADER       *Table)
 {
     ACPI_STATUS             Status;
-    ACPI_HEST_HEADER        *SubTable;
+    ACPI_HEST_HEADER        *Subtable;
     UINT32                  Length = Table->Length;
     UINT32                  Offset = sizeof (ACPI_TABLE_HEST);
     ACPI_DMTABLE_INFO       *InfoTable;
-    UINT32                  SubTableLength;
+    UINT32                  SubtableLength;
     UINT32                  BankCount;
     ACPI_HEST_IA_ERROR_BANK *BankTable;
 
@@ -1672,70 +1672,70 @@ AcpiDmDumpHest (
 
     /* Subtables */
 
-    SubTable = ACPI_ADD_PTR (ACPI_HEST_HEADER, Table, Offset);
+    Subtable = ACPI_ADD_PTR (ACPI_HEST_HEADER, Table, Offset);
     while (Offset < Table->Length)
     {
         BankCount = 0;
-        switch (SubTable->Type)
+        switch (Subtable->Type)
         {
         case ACPI_HEST_TYPE_IA32_CHECK:
 
             InfoTable = AcpiDmTableInfoHest0;
-            SubTableLength = sizeof (ACPI_HEST_IA_MACHINE_CHECK);
+            SubtableLength = sizeof (ACPI_HEST_IA_MACHINE_CHECK);
             BankCount = (ACPI_CAST_PTR (ACPI_HEST_IA_MACHINE_CHECK,
-                SubTable))->NumHardwareBanks;
+                Subtable))->NumHardwareBanks;
             break;
 
         case ACPI_HEST_TYPE_IA32_CORRECTED_CHECK:
 
             InfoTable = AcpiDmTableInfoHest1;
-            SubTableLength = sizeof (ACPI_HEST_IA_CORRECTED);
+            SubtableLength = sizeof (ACPI_HEST_IA_CORRECTED);
             BankCount = (ACPI_CAST_PTR (ACPI_HEST_IA_CORRECTED,
-                SubTable))->NumHardwareBanks;
+                Subtable))->NumHardwareBanks;
             break;
 
         case ACPI_HEST_TYPE_IA32_NMI:
 
             InfoTable = AcpiDmTableInfoHest2;
-            SubTableLength = sizeof (ACPI_HEST_IA_NMI);
+            SubtableLength = sizeof (ACPI_HEST_IA_NMI);
             break;
 
         case ACPI_HEST_TYPE_AER_ROOT_PORT:
 
             InfoTable = AcpiDmTableInfoHest6;
-            SubTableLength = sizeof (ACPI_HEST_AER_ROOT);
+            SubtableLength = sizeof (ACPI_HEST_AER_ROOT);
             break;
 
         case ACPI_HEST_TYPE_AER_ENDPOINT:
 
             InfoTable = AcpiDmTableInfoHest7;
-            SubTableLength = sizeof (ACPI_HEST_AER);
+            SubtableLength = sizeof (ACPI_HEST_AER);
             break;
 
         case ACPI_HEST_TYPE_AER_BRIDGE:
 
             InfoTable = AcpiDmTableInfoHest8;
-            SubTableLength = sizeof (ACPI_HEST_AER_BRIDGE);
+            SubtableLength = sizeof (ACPI_HEST_AER_BRIDGE);
             break;
 
         case ACPI_HEST_TYPE_GENERIC_ERROR:
 
             InfoTable = AcpiDmTableInfoHest9;
-            SubTableLength = sizeof (ACPI_HEST_GENERIC);
+            SubtableLength = sizeof (ACPI_HEST_GENERIC);
             break;
 
         case ACPI_HEST_TYPE_GENERIC_ERROR_V2:
 
             InfoTable = AcpiDmTableInfoHest10;
-            SubTableLength = sizeof (ACPI_HEST_GENERIC_V2);
+            SubtableLength = sizeof (ACPI_HEST_GENERIC_V2);
             break;
 
         case ACPI_HEST_TYPE_IA32_DEFERRED_CHECK:
 
             InfoTable = AcpiDmTableInfoHest11;
-            SubTableLength = sizeof (ACPI_HEST_IA_DEFERRED_CHECK);
+            SubtableLength = sizeof (ACPI_HEST_IA_DEFERRED_CHECK);
             BankCount = (ACPI_CAST_PTR (ACPI_HEST_IA_DEFERRED_CHECK,
-                SubTable))->NumHardwareBanks;
+                Subtable))->NumHardwareBanks;
             break;
 
         default:
@@ -1743,13 +1743,13 @@ AcpiDmDumpHest (
             /* Cannot continue on unknown type - no length */
 
             AcpiOsPrintf ("\n**** Unknown HEST subtable type 0x%X\n",
-                SubTable->Type);
+                Subtable->Type);
             return;
         }
 
         AcpiOsPrintf ("\n");
-        Status = AcpiDmDumpTable (Length, Offset, SubTable,
-            SubTableLength, InfoTable);
+        Status = AcpiDmDumpTable (Length, Offset, Subtable,
+            SubtableLength, InfoTable);
         if (ACPI_FAILURE (Status))
         {
             return;
@@ -1757,15 +1757,15 @@ AcpiDmDumpHest (
 
         /* Point to end of current subtable (each subtable above is of fixed length) */
 
-        Offset += SubTableLength;
+        Offset += SubtableLength;
 
         /* If there are any (fixed-length) Error Banks from above, dump them now */
 
         if (BankCount)
         {
-            BankTable = ACPI_ADD_PTR (ACPI_HEST_IA_ERROR_BANK, SubTable,
-                SubTableLength);
-            SubTableLength += BankCount * sizeof (ACPI_HEST_IA_ERROR_BANK);
+            BankTable = ACPI_ADD_PTR (ACPI_HEST_IA_ERROR_BANK, Subtable,
+                SubtableLength);
+            SubtableLength += BankCount * sizeof (ACPI_HEST_IA_ERROR_BANK);
 
             while (BankCount)
             {
@@ -1785,7 +1785,7 @@ AcpiDmDumpHest (
 
         /* Point to next subtable */
 
-        SubTable = ACPI_ADD_PTR (ACPI_HEST_HEADER, SubTable, SubTableLength);
+        Subtable = ACPI_ADD_PTR (ACPI_HEST_HEADER, Subtable, SubtableLength);
     }
 }
 
@@ -1811,7 +1811,7 @@ AcpiDmDumpHmat (
     ACPI_HMAT_LOCALITY      *HmatLocality;
     ACPI_HMAT_CACHE         *HmatCache;
     UINT32                  Offset;
-    UINT32                  SubTableOffset;
+    UINT32                  SubtableOffset;
     UINT32                  Length;
     ACPI_DMTABLE_INFO       *InfoTable;
     UINT32                  i, j;
@@ -1829,7 +1829,7 @@ AcpiDmDumpHmat (
     while (Offset < Table->Length)
     {
         AcpiOsPrintf ("\n");
-        SubTableOffset = 0;
+        SubtableOffset = 0;
 
         /* Dump HMAT structure header */
 
@@ -1873,7 +1873,7 @@ AcpiDmDumpHmat (
 
             /* Attempt to continue */
 
-            goto NextSubTable;
+            goto NextSubtable;
         }
 
         /* Dump HMAT structure body */
@@ -1897,11 +1897,11 @@ AcpiDmDumpHmat (
         case ACPI_HMAT_TYPE_LOCALITY:
 
             HmatLocality = ACPI_CAST_PTR (ACPI_HMAT_LOCALITY, HmatStruct);
-            SubTableOffset = sizeof (ACPI_HMAT_LOCALITY);
+            SubtableOffset = sizeof (ACPI_HMAT_LOCALITY);
 
             /* Dump initiator proximity domains */
 
-            if ((UINT32)(HmatStruct->Length - SubTableOffset) <
+            if ((UINT32)(HmatStruct->Length - SubtableOffset) <
                 (UINT32)(HmatLocality->NumberOfInitiatorPDs * 4))
             {
                 AcpiOsPrintf ("Invalid initiator proximity domain number\n");
@@ -1909,15 +1909,15 @@ AcpiDmDumpHmat (
             }
             for (i = 0; i < HmatLocality->NumberOfInitiatorPDs; i++)
             {
-                Status = AcpiDmDumpTable (Table->Length, Offset + SubTableOffset,
-                    ACPI_ADD_PTR (ACPI_HMAT_STRUCTURE, HmatStruct, SubTableOffset),
+                Status = AcpiDmDumpTable (Table->Length, Offset + SubtableOffset,
+                    ACPI_ADD_PTR (ACPI_HMAT_STRUCTURE, HmatStruct, SubtableOffset),
                     4, AcpiDmTableInfoHmat1a);
-                SubTableOffset += 4;
+                SubtableOffset += 4;
             }
 
             /* Dump target proximity domains */
 
-            if ((UINT32)(HmatStruct->Length - SubTableOffset) <
+            if ((UINT32)(HmatStruct->Length - SubtableOffset) <
                 (UINT32)(HmatLocality->NumberOfTargetPDs * 4))
             {
                 AcpiOsPrintf ("Invalid target proximity domain number\n");
